<template>
  <v-app id="app">
    <v-navigation-drawer fixed clipped v-model="showMenu" app>
      <v-list dense>
        <v-list-tile @click="routeTo('/')">
          <v-list-tile-action>
            <v-icon>trending_up</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Calculator</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
        <v-list-tile @click="routeTo('/countries')">
          <v-list-tile-action>
            <v-icon>flag</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Countries</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
    </v-navigation-drawer>
    <v-toolbar color="blue darken-3" dark clipped-left fixed app>
      <v-toolbar-side-icon @click.stop="showMenu = !showMenu"/>
      <v-toolbar-title>Salary calculator</v-toolbar-title>
    </v-toolbar>
    <router-view/>
  </v-app>
</template>

<script>
export default {
  name: 'App',
  data: () => ({
    showMenu: true
  }),
  methods: {
    routeTo (path) {
      this.$router.push(path)
    }
  },
  props: {
    source: String
  }
}
</script>
